Update a single variance flag's status
curl --request PATCH \
--url https://api.royalti.io/publisher/publishers/{id}/statements/{statementId}/variance-flags/{flagId}/status \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"notes": "<string>"
}
'import requests
url = "https://api.royalti.io/publisher/publishers/{id}/statements/{statementId}/variance-flags/{flagId}/status"
payload = { "notes": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({notes: '<string>'})
};
fetch('https://api.royalti.io/publisher/publishers/{id}/statements/{statementId}/variance-flags/{flagId}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tenantId": 123,
"statementId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"territory": "<string>",
"expectedAmount": 123,
"receivedAmount": 123,
"varianceAmount": 123,
"variancePct": 123,
"threshold": 0.05,
"notes": "<string>",
"metadata": {}
}
}{
"status": "error",
"message": "<string>",
"code": "<string>",
"details": {}
}{
"status": "error",
"message": "<string>",
"code": "<string>",
"details": {}
}Publishers
Update a single variance flag's status
Update a single variance flag’s status
PATCH
/
publisher
/
publishers
/
{id}
/
statements
/
{statementId}
/
variance-flags
/
{flagId}
/
status
Update a single variance flag's status
This endpoint requires authentication. Include your Bearer token in the Authorization header.
Code Examples
const response = await fetch('https://api.royalti.io/publisher/publishers/{id}/statements/{statementId}/variance-flags/example-id/status', {
method: 'PATCH',
headers: {
'Authorization': `Bearer ${token}`,
'Content-Type': 'application/json'
},
body: JSON.stringify({
"ref": "#/components/schemas/UpdateVarianceFlagStatusRequest"
})
});
const data = await response.json();
console.log(data);
import requests
response = requests.patch(
'https://api.royalti.io/publisher/publishers/{id}/statements/{statementId}/variance-flags/example-id/status',
headers={
'Authorization': f'Bearer {token}'
},
json={"ref":"#/components/schemas/UpdateVarianceFlagStatusRequest"}
)
data = response.json()
print(data)
curl -X PATCH https://api.royalti.io/publisher/publishers/{id}/statements/{statementId}/variance-flags/example-id/status \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{"ref":"#/components/schemas/UpdateVarianceFlagStatusRequest"}'
Authorizations
JWT Authorization header using the Bearer scheme. Format: "Bearer {token}"
Body
application/json
⌘I